diff -Naur pine4.64/build pine4.64-macpine/build
--- pine4.64/build	2005-05-04 14:22:22.000000000 -0700
+++ pine4.64-macpine/build	2006-03-01 14:40:20.000000000 -0800
@@ -318,28 +318,6 @@
 	  esac
 	fi
 
-# Try to automatically include Kerberos5 definitions.
-        if [ -d krb5 -a -f contrib/krb5-setup -a \
-             \( "$GDIR" != "1" -o "$AAFLAGS" != "1" \) ]
-	then
-	  contrib/krb5-setup $pinetarg $maketarg
-# Allow for override of either of these separately.
-	  case "$?" in
-	    0) if [ "$GDIR" != "1" ]
-	       then
-	         K1="GSSDIR=\"$PHOME/krb5\""
-	       fi
-	       if [ "$AAFLAGS" != "1" ]
-	       then
-	         K2="'EXTRAAUTHENTICATORS=gss'"
-	       fi
-	       echo "Including Kerberos5 functionality"
-	       ;;
-
-	    *) exit 30 ;;
-	  esac
-	fi
-
 # Try to automatically include SSL. To prevent SSL from being automatically
 # included use "build NOSSL target".
 # Check for nonempty certs directory from OpenSSL. Also check for 8-hexdigit
diff -Naur pine4.64/imap/Makefile pine4.64-macpine/imap/Makefile
--- pine4.64/imap/Makefile	2005-04-30 13:50:20.000000000 -0700
+++ pine4.64-macpine/imap/Makefile	2006-03-01 14:46:30.000000000 -0800
@@ -340,12 +340,12 @@
 
 osx:	an
 	$(BUILD) BUILDTYPE=osx \
-	IP=6 EXTRAAUTHENTICATORS="$(EXTRAAUTHENTICATORS) gss" \
+	IP=6 \
 	SPECIALS="SSLDIR=/System/Library/OpenSSL SSLINCLUDE=/usr/include/openssl SSLLIB=/usr/lib"
 
 oxp:	an
 	$(BUILD) BUILDTYPE=osx \
-	IP=6 EXTRAAUTHENTICATORS="$(EXTRAAUTHENTICATORS) gss" \
+	IP=6 \
 	SPECIALS="SSLDIR=/System/Library/OpenSSL SSLINCLUDE=/usr/include/openssl SSLLIB=/usr/lib PAMLDFLAGS=-lpam" \
 	PASSWDTYPE=pam \
 	EXTRACFLAGS="$(EXTRACFLAGS) -DMAC_OSX_KLUDGE=1"
diff -Naur pine4.64/imap/src/osdep/unix/Makefile pine4.64-macpine/imap/src/osdep/unix/Makefile
--- pine4.64/imap/src/osdep/unix/Makefile	2005-04-30 13:51:13.000000000 -0700
+++ pine4.64-macpine/imap/src/osdep/unix/Makefile	2006-03-01 14:32:42.000000000 -0800
@@ -856,8 +856,7 @@
 	auths.c crexcl.c flockcyg.c flocklnx.c flocksim.c nfstest.c fsync.c \
 	gethstid.c getspnam.c \
 	gr_wait.c gr_wait4.c gr_waitp.c \
-	kerb_mit.c \
-	auth_gss.c auth_log.c auth_md5.c auth_pla.c \
+	auth_log.c auth_md5.c auth_pla.c \
 	pmatch.c scandir.c setpgrp.c strerror.c truncate.c write.c \
 	memmove.c memmove2.c memset.c \
 	tz_bsd.c tz_nul.c tz_sv4.c \
@@ -954,10 +953,6 @@
 	echo $(DCELDFLAGS) >> LDFLAGS
 	$(LN) ckp_dce.c osdepckp.c
 
-ckpgss:	# Kerberos V (must have gss EXTRAAUTHENTICATOR as well)
-	@echo Kerberos V password authentication
-	$(LN) ckp_gss.c osdepckp.c
-
 ckpnul:	# NUL authenticator (disables all plaintext authentication)
 	@echo Plaintext authentication prohibited
 	echo "  mail_parameters (NIL,SET_DISABLEPLAINTEXT,(void *) 1);" >> linkage.c
diff -Naur pine4.64/pine/init.c pine4.64-macpine/pine/init.c
--- pine4.64/pine/init.c	2005-09-12 11:53:17.000000000 -0700
+++ pine4.64-macpine/pine/init.c	2006-03-01 14:29:07.000000000 -0800
@@ -456,7 +456,7 @@
 static struct variable variables[] = {
 {"personal-name",			0, 1, 0, 1, 1, 0, 0, 0, 0, 1,
 				cf_text_personal_name},
-#if defined(DOS) || defined(OS2)
+#if defined(DOS) || defined(OS2) || defined(OSX)
                         /* Have to have this on DOS, PC's, Macs, etc... */
 {"user-id",				0, 1, 0, 1, 0, 0, 0, 0, 0, 1,
 #else			/* Don't allow on UNIX machines for some security */
@@ -4798,7 +4798,7 @@
 
     rv       = 0;
     expanded = NULL;
-#if defined(DOS) || defined(OS2)
+#if defined(DOS) || defined(OS2) || defined(OSX)
     if(ps->COM_USER_ID)
       expanded = expand_variables(tmp_20k_buf, SIZEOF_20KBUF,
 				  ps->COM_USER_ID, 0);
@@ -4823,6 +4823,18 @@
     }
 #endif
 
+#if defined(OSX)
+    if (ps->blank_user_id == 1) {
+      ps->VAR_USER_ID = cpystr(ps->ui.login);
+      if(!ps->VAR_USER_ID[0]){
+        fprintf(stderr, "Who are you? (Unable to look up login name)\n");
+        rv = -1;
+      } else {
+	ps->blank_user_id = 0;
+      }
+    }
+#endif
+
     expanded = NULL;
     if(ps->vars[V_PERSONAL_NAME].is_fixed){
 	if(ps->FIX_PERSONAL_NAME){
diff -Naur pine4.64/pine/makefile.osx pine4.64-macpine/pine/makefile.osx
--- pine4.64/pine/makefile.osx	2003-12-17 14:12:15.000000000 -0800
+++ pine4.64-macpine/pine/makefile.osx	2006-03-01 14:29:07.000000000 -0800
@@ -68,7 +68,7 @@
 	     `cat $(CCLIENTDIR)/LDFLAGS`
 
 # Use BSDDEF instead of BSD because other systems use BSD internally.
-STDCFLAGS=   -Dconst= -DSYSTYPE=\"OSX\"
+STDCFLAGS=   -Dconst= -DSYSTYPE=\"OSX\" -DOSX
 CFLAGS=      $(OPTIMIZE) $(PROFILE) $(DEBUG) $(EXTRACFLAGS) $(LDAPCFLAGS) \
 	     $(LOCALPINECFLAGS) $(STDCFLAGS)
 
diff -Naur pine4.64/pine/pine.h pine4.64-macpine/pine/pine.h
--- pine4.64/pine/pine.h	2005-09-15 17:39:42.000000000 -0700
+++ pine4.64-macpine/pine/pine.h	2006-03-01 14:59:05.000000000 -0800
@@ -63,7 +63,7 @@
 #ifndef _PINE_INCLUDED
 #define _PINE_INCLUDED
 
-#define PINE_VERSION		"4.64"
+#define PINE_VERSION		"4.64-MacPine"
 #define	PHONE_HOME_VERSION	"-count"
 #define	PHONE_HOME_HOST		"docserver.cac.washington.edu"
 
@@ -4342,7 +4342,7 @@
     unsigned	 scroll_margin:8;
     unsigned 	 remote_abook_history:8;
 
-#if defined(DOS) || defined(OS2)
+#if defined(DOS) || defined(OS2) || defined(OSX)
     unsigned     blank_user_id:1;
     unsigned     blank_personal_name:1;
     unsigned     blank_user_domain:1;
